.burger-menu {
  display: none;
  justify-content: flex-start;
}

.burger-menu-icon {
  width: 26px;
  height: 22px;

  cursor: pointer;
  position: relative;

  box-sizing: border-box;

  z-index: var(--z-index-1000);
}

.burger-menu-icon span {
  width: 100%;
  background-color: var(--extra-white);
  height: 2px;
  position: absolute;

  transition: all 0.3s ease;
  border-radius: var(--border-radius-2);
}

.burger-menu-icon span:first-child {
  top: 0;
  transform: rotate(0);
}

.burger-menu-icon span:nth-child(2) {
  top: 10px;
  opacity: 1;
}

.burger-menu-icon span:last-child {
  top: 20px;
  transform: rotate(0);
}

.burger-menu-icon.active {
  position: fixed;
  right: 16px;
}

.burger-menu-icon.active span:first-child {
  top: 22px;
  transform: rotate(45deg);
}

.burger-menu-icon.active span:nth-child(2) {
  opacity: 0;
}

.burger-menu-icon.active span:last-child {
  top: 22px;
  transform: rotate(-45deg);
}

.burger-menu-content {
  width: 0;
  height: 100%;
  position: fixed;
  box-sizing: border-box;

  top: var(--header-height);
  right: 0;
  transition: transform 0.3s ease-in-out;

  display: flex;
  flex-direction: column;

  background-color: var(--dark-blue);

  transform: translateX(100%);
  z-index: var(--z-index-10);

  line-height: 112%;
}
.burger-menu-content.active {
  width: 100%;
  transform: translateX(0);

  padding: var(--wrapper-padding);
}

.burger-menu-content .text-big {
  font-weight: 300;
  font-size: var(--space-28) !important;

  color: var(--white);
  text-transform: uppercase;

  margin-top: var(--space-60);
}

.burger-menu-content .text {
  display: block;
  font-weight: 200;
  font-size: var(--space-20);

  color: var(--white);
  margin-top: var(--space-20);
}

.burger-menu-search {
  position: relative;
}

.burger-menu-search .input {
  width: 100%;
}

.burger-menu-search .input,
.burger-menu-search .input::placeholder {
  font-size: var(--space-28);
}

.burger-menu-search img {
  display: none;
  width: 32px;
  height: 32px;
  position: absolute;
  right: 0;
}

.burger-menu-content.active .burger-menu-search img {
  display: inline;
}

@media (max-width: 1023px) {
  .burger-menu {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
  }
}

@media (max-width: 767px) {
  .burger-menu-search img {
    width: 24px;
    height: 24px;
  }

  .burger-menu-search .input,
  .burger-menu-search .input::placeholder {
    font-size: var(--space-18);
  }

  .burger-menu-content .text-big {
    font-size: var(--space-20) !important;

    margin-top: var(--space-40);
  }

  .burger-menu-content .text {
    font-size: var(--space-14);

    margin-top: var(--space-16);
  }
}
